Get a specific coupon - Fabric

Get a specific coupon

cURL

curl --request GET \
  --url https://live.copilot.fabric.inc/api-offers/coupon/{couponId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
import requests

url = "https://live.copilot.fabric.inc/api-offers/coupon/{couponId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/coupon/{couponId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response

Success Codes

JSON Response Example

{
  "_id": "abcdefg1ee7ce20123456789",
  "promoId": 100013,
  "promoCodes": [
    "SUMMER100",
    "SUMMER20"
  ],
  "state": "SCHEDULED",
  "isImplicit": false,
  "title": "CREATE PROMO",
  "buyOperator": "OR",
  "promo": [
    {
      "discount": [
        {
          "unit": "%OFF",
          "value": 10,
          "ON": {
            "kind": "SKU",
            "value": "*",
            "quantity": 2,
            "includeOperator": "OR",
            "excludeOperator": "AND"
          },
          "discountId": 1,
          "autoAdd": false,
          "set": []
        }
      ],
      "targetProducts": [
        {
          "kind": "SKU",
          "value": "*",
          "operator": "IN",
          "discountId": 1
        }
      ],
      "condition": [
        {
          "conditions": [
            {
              "key": "SKU",
              "value": "*",
              "operator": "IN"
            }
          ],
          "includeOperator": "OR",
          "excludeOperator": "AND",
          "set": "A"
        }
      ]
    }
  ],
  "startDate": "2019-08-24T14:15:22Z",
  "endDate": "2019-08-25T14:15:22Z",
  "isExclusive": true,
  "type": "PRODUCT",
  "stackingType": "STACKABLE",
  "level": 1,
  "termsAndConditions": [
    {
      "title": "Terms Applied",
      "description": "Items cannot be exchanged"
    }
  ],
  "promotionMessages": [
    {
      "title": "Buy 1 get 1 free",
      "message": "Offer valid at participating stores through September 5, 2023.",
      "pages": [
        "PDP",
        "Cart"
      ],
      "locales": [
        "en-CA",
        "fr-CA"
      ]
    }
  ],
  "proximityMessages": [
    {
      "threshold": 1,
      "localizedMessages": [
        {
          "locales": [
            "<string>"
          ],
          "message": "<string>"
        }
      ]
    }
  ],
  "shipmentMethodIds": [
    1000001
  ],
  "eligiblePriceList": [
    10000056
  ],
  "limits": [],
  "note": "Independence day sale!",
  "createdAt": "2019-08-20T14:15:22Z",
  "updatedAt": "2019-08-20T14:15:22Z"
}
{
  "code": "PROMO_NOT_FOUND",
  "message": "The promo code you entered doesn't exist."
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}

Authorization

Path Parameters